

<html>
<title>Search Tips</title>
<head>
<link rel="stylesheet" href="/content/include/styles.css" type="text/css">
</head>
<body bgcolor="#ffffff">


<table border="0" cellspacing="0" cellpadding="0" width="750">
<tr>
<td><img src="/content/images/spacer.gif" width="21" height="1"></td>
<td>

	<h1>Search Tips</h1>
      <p>This reference file explains the search syntax for the BEA Search Engine. 
      </p>
      <h2>Topics:</h2>
      <ul>
        <li><a href="#basic_search">The Basic 
          Search</a></li>
        <li><a href="#tab">Filter Results By</a></li>
        <li><a href="#spell">Spelling</a></li>
        <li><a href="#synonym">Synonyms</a></li>
        <li><a href="#searchDate">Sorting by 
          Date</a></li>
        <li><a href="#and">Automatic &quot;and&quot; 
          Queries</a></li>
        <li><a href="#or">&quot;OR&quot; Searches</a></li>
        <li><a href="#terms_in_context">See Your 
          Search Terms in the Results</a></li>
        <li><a href="#capitalization">Does Capitalization 
          Matter?</a></li>
        <li><a href="#stop">Does the BEA Search Engine Observe 
          Stop Words?</a></li>
        <li><a href="#stemming">Does the BEA Search Engine Use 
          Stemming?</a></li>
        <li><a href="#refine_search">Refining 
          Your Search</a></li>
        <li><a href="#exclude_words">Excluding 
          Words</a></li>
        <li><a href="#phrase_search">Phrase Searches</a></li>
        <li><a href="#restricted_search">Restricted 
          Searches</a></li>
        <li><a href="#advanced">Advanced Operators</a></li>
      </ul>
      <hr size="1" width="100%">
      <h3><a name="basic_search"></a>The Basic Search</h3>
      <p>To enter a query, type in a few descriptive words and press the <b>Enter</b> 
        key or click the <b>Search</b> button for a list of relevant results. 
      </p>
      <p>The BEA Search Engine uses sophisticated text-matching techniques to 
        find pages that are both important and relevant to your search. For instance, 
        it analyzes not only the candidate page, but also the pages linking into 
        it to determine the value of the candidate page for your search. The BEA 
        Search Engine also prefers pages in which your query terms are near each 
        other. </p>
      <p><b>Note:</b> Encrypted, viewable PDF documents are converted to HTML 
        for indexing; however, the HTML is not displayed.</p>

      <h3><a name="tab"></a>Filter Results By</h3>
	<p>BEA maintains a number of online web properties designed to address specific customer needs. You may search across all properties or you can target your search in any one of the following categories:</p>
	<ul>
	<li>Corporate Information </li>
	<li>Developer Resources </li>
	<li>Product Documentation </li>
	<li>Support </li>
	<li>Newsgroups </li>
	</ul>
	<p>By default, a basic search will return results from all BEA web properties, listed under the "All Results" tab. To filter the results of your search by BEA website, click on one of the other tabs.</p>

      <h3><a name=spell></a>Spelling</h3>
      <p>A single spelling suggestion is returned with the results for queries 
        where the spell checker has detected a possible spelling mistake. </p>
      <p>The spell checker feature is context sensitive. For example, if the query 
        submitted is &quot;gail divers,&quot; &quot;gail devers&quot; is suggested 
        as an alternative query. However, &quot;scuba divers&quot; would not return 
        an alternate query suggestion. </p>
      <p><b>Note:</b> Currently, the spell checker supports only US English.</p>
      <h3><a name=synonym></a>Synonyms</h3>
      <p>Synonyms are other words that have the same or similar meanings. They 
        are displayed as &quot;Other suggested searches&quot; on the results page. 
      </p>
      <h3><a name=searchDate></a>Sorting by Date</h3>
      <p>The <b>Sort by Date</b> feature sorts and presents your search results 
        based on date. The date of each file is returned in the results. Results 
        that do not contain dates are displayed at the end, sorted by relevance. 
      </p>
      <h3><a name=and></a>Automatic &quot;and&quot; Queries</h3>
      <p>By default, the BEA Search Engine only returns pages that include all 
        of your search terms. There is no need to include &quot;and&quot; between 
        terms. For example, to search for engineering product specification documents, 
        enter: </p>
      <form>
        <p>
        <div class="form">
          <INPUT TYPE="TEXT" SIZE="40" NAME="q" VALUE="engineering product specifications">
          <input type="button" value="Search" name="submit2">
        </div>
      </form>
      <p>To broaden or restrict the search, include fewer or more terms.</p>
      <h3><a name=or></a>&quot;OR&quot; Searches</h3>
      <p>The BEA Search Engine supports the logical &quot;OR&quot; operator. To 
        retrieve pages that include either word A or word B, use an uppercase 
        &quot;OR&quot; between terms. For example, to search for an office in 
        either London or Paris, enter: </p>
      <form>
        <p>
        <div class="form">
          <INPUT TYPE="TEXT" SIZE="40" NAME="q2" VALUE="office london OR paris">
          <input type="button" value="Search" name="submit">
        </div>
      </form>
      <h3><a name="terms_in_context"></a>See Your Search Terms in the Results</h3>
      <p>Every search result lists one or more excerpts from the web page to display 
        how your search terms are used in context on that page. In the excerpt, 
        your search terms are displayed in bold text so that you can quickly determine 
        if that result is from a page you want to visit. </p>
      <h3><a name=capitalization></a>Does Capitalization Matter?</h3>
      <p>Searches are <b>not</b> case sensitive. All letters, regardless of how 
        you enter them, are understood as lower case. For example, searches for 
        &quot;george washington,&quot; &quot;George Washington,&quot; and &quot;George 
        washington&quot; all return the same results. </p>
      <h3><a name=stop></a>Does The BEA Search Engine Observe Stop Words?</h3>
      <p>The BEA Search Engine ignores common words and characters known as stop 
        words. These include most pronouns and articles. It automatically disregards 
        such terms as &quot;where&quot; and &quot;how,&quot; as well as certain 
        single digits and single letters. These terms rarely help to narrow a 
        search and can significantly slow searching. If you want to use stop words 
        in your search, use the &quot;+&quot; sign or enclose your phrase containing 
        stop words in quotation marks. Make sure that you include a space before 
        the &quot;+&quot; sign. </p>
      <p>For example, to search for Annual Report Version I: </p>
      <form>
        <p>
        <div class="form">
          <INPUT TYPE="TEXT" SIZE="40" NAME="q3" VALUE="annual report &#9;&#9;&#9;version +I">
          <input type="button" value="Search" name="submit3">
        </div>
      </form>
      <p>You can also include the &quot;+&quot; sign in <a href="#phrase_search">phrase 
        searches</a>.</p>
      <h3><a name=stemming></a>Does The BEA Search Engine Use Stemming?</h3>
      <p>To provide the most accurate results, the BEA Search Engine does not 
        use &quot;stemming&quot; or support &quot;wildcard&quot; searches. Rather, 
        it searches for exactly the words that you enter into the search box. 
      </p>
      <p>For example, searching for &quot;airlin&quot; or &quot;airlin*&quot; 
        will not yield &quot;airline&quot; or &quot;airlines.&quot;. If in doubt, 
        try both forms, for example: &quot;airline&quot; and &quot;airlines.&quot;</p>
      <h3><a name="refine_search"></a>Refining Your Search</h3>
      <p>Since the BEA Search Engine only returns web pages that contain <b>all</b> 
        of the words in your query, refining or narrowing your search is as simple 
        as adding more words to the search terms you have already entered. The 
        refined query returns a specific subset of the pages that were returned 
        by your original broad query. </p>
      <h3><a name="exclude_words"></a>Excluding Words</h3>
      <p>You can exclude a word from your search by putting a minus sign (&quot;-&quot;) 
        immediately in front of the term you want to exclude. Make sure you include 
        a space before the minus sign. </p>
      <p>For example, the search: </p>
      <form>
        <p>
        <div class="form">
          <INPUT TYPE="TEXT" SIZE="40" NAME="q4" VALUE="bass -music">
          <input type="button" value="Search" name="submit4">
        </div>
      </form>
      <p>will return pages about bass that do not contain the word &quot;music.&quot;</p>
      <h3><a name="phrase_search"></a>Phrase Searches</h3>
      <p>You can search for phrases by adding quotation marks. Words enclosed 
        in double quotes (&quot;like this&quot;) appear together in all returned 
        documents. Phrase searches using quotation marks are useful when searching 
        for famous sayings or specific names. </p>
      <p>Certain characters serve as phrase connectors. Phrase connectors work 
        like quotes because they join your search words in the same way double 
        quotes join your search words. For example, the search: </p>
      <form>
        <p>
        <div class="form">
          <INPUT TYPE="TEXT" SIZE="40" NAME="q42" VALUE="father-in-law">
          <input type="button" value="Search" name="submit42">
        </div>
      </form>
      <p>is treated as a phrase search even though the search words are not enclosed 
        in double quotes. The Search Engine recognizes hyphens, slashes, periods, 
        equal signs, and apostrophes as phrase connectors.</p>
      <h3><a name="restricted_search"></a>Restricted Searches</h3>
      <p>You may also narrow searches by restricting queries in certain ways. 
      </p>
      <table border="1" cellpadding="3" width="85%" cellspacing="0" bordercolor="#CCCCCC">
        <tr> 
          <td width="33%" valign=top bgcolor="f1f1f1"> 
            <p><b>Restrict Type</b></p>
          </td>
          <td width="28%" valign=top bgcolor="f1f1f1"> 
            <p><b>Query Syntax </b></p>
          </td>
          <td width="39%" valign=top bgcolor="f1f1f1"> 
            <p><b>Example</b></p>
          </td>
        </tr>
        <tr valign="top"> 
          <td width="33%" class="standardtext"> 
            <p>to a given location on your site</p>
          </td>
          <td width="28%" class="standardtext"> 
            <p>allinurl; allintitle; inurl; intitle</p>
          </td>
          <td width="39%" class="standardtext"> 
            <p>allinurl:bea help<br>
              see <a href="#advanced">Advanced 
              Operators</a> for details</p>
          </td>
        </tr>
        <tr valign="top"> 
          <td width="33%" class="standardtext"> 
            <p>to specific domains</p>
          </td>
          <td width="28%" class="standardtext"> 
            <p>site:</p>
          </td>
          <td width="39%" class="standardtext"> 
            <p>site:bea.com <br>
              see <a href="#advanced">Advanced 
              Operators</a> for details</p>
          </td>
        </tr>
        <tr valign="top"> 
          <td width="33%" class="standardtext"> 
            <p>to specific file types like excel spreadsheets, pdf docs, etc.</p>
          </td>
          <td width="28%" class="standardtext"> 
            <p>filetype:</p>
          </td>
          <td width="39%" class="standardtext"> 
            <p>filetype:pdf</p>
          </td>
        </tr>
      </table>
      <p><b>Directory Restricting</b> </p>
      <p>To restrict the directories searched, enter a URL that drills down through 
        the directory structure to the directories or files to be searched. For 
        example, the query <tt>[bea.com/manual/]</tt> restricts the search to 
        everything at the manual level. If the trailing slash is not included, 
        as in <tt>[bea.com/manual]</tt>, then all subdirectories are also searched.</p>
      <h3><a name=advanced></a>Advanced Operators</h3>
      <p>The BEA Search Engine supports several advanced operators, which are 
        query words with special functions. A list of the advanced operators with 
        explanation are provided below. </p>
      <blockquote>
        <p><a name="cached_links"></a><b>cache:</b> <br>
          The BEA Search Engine keeps the text of the many documents it crawls 
          available in a backed-up format known as &quot;cache.&quot; A cached 
          version of a web page can be retrieved if the original page is unavailable 
          (for example, the page's server is down). The cached page appears exactly 
          as it looked when the crawler last crawled it and includes a message 
          (at the top of the page) to indicate that it's a cached version of the 
          page. </p>
        <p>The query <tt>[cache:]</tt> shows the cached version of the web page. 
          For instance, <tt>[cache:www.bea.com]</tt> shows the cached page of 
          BEA&#8217;s homepage. </p>
        <p><b>Note:</b> There can be no space between <tt>cache:</tt> and the 
          web page URL in the query. </p>
        <p>If you include other words in the query, those words will be highlighted 
          within the cached document. For instance, <tt>[cache:www.bea.com press 
          releases]</tt> shows the cached content with the words &quot;press&quot; 
          and &quot;releases&quot; highlighted. </p>
        <p><b>info: </b><br>
          The query <tt>[info:]</tt> returns all information available for that 
          particular URL. For instance, <tt>[info:www.bea.com]</tt> shows information 
          about the BEA homepage. Note there can be no space between the <tt>info:</tt> 
          and the web page URL. </p>
        <p><b>site: </b><br>
          If you include <tt>[site:]</tt> in your query, the results are restricted 
          to those websites in the given domain. For instance, <tt>[platform site:www.bea.com]</tt> 
          finds pages about &#8220;platform&#8221; within <tt>www.bea.com</tt>. 
          <tt>[help site:com]</tt> finds pages about help within <tt>.com URLs</tt>. 
        </p>
        <p><b>Note:</b> There can be no space between the <tt>&quot;site:&quot;</tt> 
          and the domain. </p>
        <p><b>link:</b> <br>
          The query <tt>[link:]</tt> enables you to restrict your search to all 
          pages that link to the query page. To do this, use the <tt>[link:sampledomain.com]</tt> 
          syntax in the search box. </p>
        <p>For example, to find all links to Stanford's main page, enter: </p>
      </blockquote>
      <form>
        <blockquote> 
          <div class="form">
            <INPUT TYPE="TEXT" SIZE="40" NAME="q42" VALUE="link:www.stanford.edu">
            <input type="button" value="Search" name="submit42">
          </div>
        </blockquote>
      </form>
      <blockquote>
        <p><b>allintitle: </b><br>
          If you start a query with <tt>[allintitle:]</tt>, the results are restricted 
          to documents with all of the query words in the document's HTML title. 
          For example, <tt>[allintitle: bea search]</tt> only returns documents 
          that have both &quot;bea&quot; and &quot;search&quot; in the HTML title. 
        </p>
        <p><b>intitle:</b> <br>
          If you include <tt>[intitle:]</tt> in your query, the search is restricted 
          to results with documents containing that word in the HTML title. For 
          example, <tt>>[intitle:bea search]</tt> returns documents that mention 
          the word &quot;bea&quot; in their HTML title, and mention the word &quot;search&quot; 
          anywhere in the document either in the title or anywhere else in the 
          document. </p>
        <p><b>Note:</b> There can be no space between the &quot;intitle:&quot; 
          and the following word. </p>
        <p>Putting <tt>[intitle:]</tt> in front of every word in your query is 
          equivalent to putting <tt>[allintitle:]</tt> at the front of your query. 
          For example, <tt>[intitle:bea intitle:search]</tt> is the same as <tt>[allintitle: 
          bea search]</tt>. </p>
        <p><b>allinurl:</b> <br>
          If you start a query with <tt>[allinurl:]</tt>, the search is restricted 
          to results with all of the query words in the URL. For example, <tt>[allinurl: 
          bea search]</tt> returns only documents that have both &quot;bea&quot; 
          and &quot;search&quot; in the URL. </p>
        <p><b>Note:</b> <tt>[allinurl:]</tt> works on words, not URL components. 
          In particular, it ignores punctuation. Thus, <tt>[allinurl: foo/bar]</tt> 
          restricts the results to page with the words &quot;foo&quot; and &quot;bar&quot; 
          in the URL, but doesn't require that they be separated by a slash within 
          that URL, that they be adjacent, or that they be in that particular 
          word order. There is currently no way to enforce these constraints. 
        </p>
        <p><b>inurl:</b> <br>
          If you include <tt>[inurl:]</tt> in your query, the results are restricted 
          to documents containing that word in the URL. For example, <tt>[inurl:bea 
          search]</tt> returns documents that mention the word &quot;bea&quot; 
          in their URL and mention the word &quot;search&quot; anywhere in the 
          document either in the URL or anywhere else in the document. </p>
        <p><b>Note:</b> There can be no space between the &quot;inurl:&quot; and 
          the following word. </p>
        <p><b>Note:</b> <tt>[inurl:]</tt> works on words, not URL components. 
          In particular, it ignores punctuation. Thus, in the query <tt>[bea inurl:foo/bar]</tt>, 
          the <tt>inurl:</tt> operator affects only the word &quot;foo,&quot; 
          which is the single word following the <tt>inurl:</tt> operator, and 
          does not affect the word &quot;bar.&quot; The query <tt>[bea inurl:foo 
          inurl:bar]</tt> can be used to require both &quot;foo&quot; and &quot;bar&quot; 
          to be in the URL. </p>
        <p>Putting <tt>>[inurl:]</tt> in front of every word in your query is 
          equivalent to putting <tt>[allinurl:]</tt> at the front of your query. 
          For example, <tt>[inurl:bea inurl:search]</tt> is the same as <tt>[allinurl: 
          bea search]</tt>. </p>
      </blockquote>
<p>&nbsp;</p>
</td>
</tr>
</table>


</body>
</html>

